- name: install postfix
  package: name=postfix state=present
  tags:
  - postfix
  - packages

- name: /etc/postfix/main.cf
  copy: src={{ item }} dest=/etc/postfix/main.cf
  with_first_found:
    - "{{ postfix_maincf }}"
    - "{{ roles_path }}/base/files/postfix/main.cf/main.cf.{{ ansible_fqdn }}"
    - "{{ roles_path }}/base/files/postfix/main.cf/main.cf.{{ inventory_hostname }}"
    - "{{ roles_path }}/base/files/postfix/main.cf/main.cf.{{ host_group }}"
    - "{{ roles_path }}/base/files/postfix/main.cf/main.cf.{{ postfix_group }}"
    - "{{ roles_path }}/base/files/postfix/main.cf/main.cf"
  notify:
  - restart postfix
  tags:
  - postfix
  - config

- name: enable postfix to start
  service: name=postfix state=started enabled=true
  tags:
  - service
